## neutron-vpnaas 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

requests!=2.12.2,>=2.10.0 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.1.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-vpnaas (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 11:26:14 +0000

neutron-vpnaas (2:10.0.0~git20170111.47c217e4-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Jan 2017 09:58:28 -0500

neutron-vpnaas (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release for OpenStack Newton.
  * d/control: Align python-neutron with Newton final release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 16:04:46 -0400

neutron-vpnaas (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:55:33 -0400

neutron-vpnaas (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:32:18 +0100

neutron-vpnaas (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Add python-neutron to Depends.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 02 Sep 2016 08:27:59 -0400

neutron-vpnaas (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 14:15:25 -0400

neutron-vpnaas (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Dropped, no longer required.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 17:15:59 -0400

=== debian/control ===
Source: neutron-vpnaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-coverage (>= 4.0),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-jinja2 (>= 2.8),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0),
                     python-neutron-lib (>= 1.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.13.3),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-tempest (>= 1:12.1.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-vpnaas
Homepage: http://github.com/openstack/neutron-vpnaas

Package: python-neutron-vpnaas
Architecture: all
Depends: alembic (>= 0.8.4),
         python-jinja2 (>= 2.8),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0),
         python-neutron-lib (>= 1.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.13.3),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-vpn-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: VPN-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the VPN-as-a-Service driver for Neutron.

Package: neutron-vpn-agent
Architecture: all
Depends: conntrack,
         iputils-arping,
         keepalived,
         neutron-common,
         neutron-metadata-agent,
         python-neutron-fwaas,
         python-neutron-vpnaas (= ${source:Version}),
         radvd,
         strongswan (>= 5.1) | openswan,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Conflicts: neutron-l3-agent,
Breaks: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Replaces: neutron-common (<< 1:2015.1~b1-0ubuntu4~),
Description: Neutron is a virtual network service for Openstack - VPN agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the VPN agent, which also provides L3 agent support.

## neutron-vpnaas 10.0.0%7egit20170111.47c217e4

=== requirements.txt ===
--- 
+++ 
@@ -4,15 +4,15 @@
 pbr>=1.8 # Apache-2.0
 
 requests!=2.12.2,>=2.10.0 # Apache-2.0
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
+Jinja2>=2.8 # BSD License (3 clause)
 netaddr!=0.7.16,>=0.7.13 # BSD
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
-alembic>=0.8.10 # MIT
+alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
-neutron-lib>=1.1.0 # Apache-2.0
+neutron-lib>=1.0.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
-oslo.db>=4.15.0 # Apache-2.0
+oslo.db>=4.13.3 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.14.0 # Apache-2.0
 oslo.reports>=0.6.0 # Apache-2.0

## neutron-vpnaas 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

requests>=2.14.2 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
netaddr!=0.7.16,>=0.7.13 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
neutron-lib>=1.9.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-vpnaas (2:11.0.0-1) unstable; urgency=medium

  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Fixed upstream git (https).
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Standards-Versionis now 4.1.1.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed SQLAlchemy version patch.
  * Removed dh-systemd build-depends.
  * Removed re-definition of PYTHONS.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 09:48:37 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-astroid,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-jinja2,
 python-mock,
 python-mysqldb,
 python-netaddr,
 python-neutron (>= 1:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-openstackdocstheme (>= 1.16.0),
 python-os-testr (>= 0.8.0),
 python-oslo.concurrency,
 python-oslo.config (>= 1:4.0.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.reports,
 python-oslo.serialization,
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-oslotest,
 python-psycopg2 (>= 2.5),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-six,
 python-sqlalchemy,
 python-tempest (>= 1:16.1.0),
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-webob (>= 1.7.1),
 python-webtest,
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/deb-neutron-vpnaas.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/deb-neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-agent
Architecture: all
Breaks:
 neutron-common (<< 2015.1.0),
Replaces:
 neutron-common (<< 2015.1.0),
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS agent.

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python-jinja2,
 python-netaddr,
 python-neutron (>= 1:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-oslo.concurrency,
 python-oslo.config (>= 1:4.0.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.reports,
 python-oslo.serialization,
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 python-sqlalchemy,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 iputils-arping,
Provides:
 ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/openstack/neutron-vpnaas.git


%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	python setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
		--wrap-width 140 \
		--namespace neutron.vpnaas.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
		--wrap-width 140 \
		--namespace neutron.vpnaas

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install --fail-missing
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vpn-agent $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vpn-agent
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vpn-netns-wrapper $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vpn-netns-wrapper
	mv $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/neutron-vyatta-agent $(CURDIR)/debian/python-neutron-vpnaas/usr/bin/python2-neutron-vyatta-agent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit neutron_vpnaas.tests.unit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-vpnaas 12.0.0

=== debian/changelog ===
neutron-vpnaas (2:12.0.0-2) unstable; urgency=medium

  * Removed neutron-vpn-agent update-alternatives in postinst (Closes: #893989)

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 19:39:42 +0000

neutron-vpnaas (2:12.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Kill the neutron-vpnaas-agent package, it's removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 10:23:28 +0100

=== debian/control ===
Source: neutron-vpnaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-astroid,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-jinja2,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron (>= 1:12.0.0~rc1),
 python3-neutron-lib (>= 1.13.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.5),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-six,
 python3-sqlalchemy,
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas.git
Homepage: https://github.com/openstack/neutron-vpnaas

Package: neutron-vpnaas-common
Architecture: all
Depends:
 python3-neutron-vpnaas (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron VPNaaS common files like configuration.

Package: neutron-vpnaas-vyatta-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-vpnaas-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - VPNaaS Vyatta Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the VPNaaS Vyatta agent. The  Brocade Vyatta VPN plugin
 provides VPNaaS solution using Brocade Vyatta vRouter VM running as a Neutron
 router. The plugin implements IPSec Site-to-Site tunnel to connect tenant
 private networks to remote networks using vRouter VM.

Package: python3-neutron-vpnaas
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-jinja2,
 python3-netaddr,
 python3-neutron (>= 1:12.0.0~rc1),
 python3-neutron-lib (>= 1.13.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-neutron-vpnaas,
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
UPSTREAM_GIT = https://github.com/openstack/neutron-vpnaas.git


%:
	dh $@ --buildsystem=python_distutils --with python3,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_vpnaas\.tests\.unit.*'
endif

	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
		--wrap-width 140 \
		--namespace neutron.vpnaas.agent

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
		--wrap-width 140 \
		--namespace neutron.vpnaas

	rm -r $(CURDIR)/debian/tmp/usr/etc

	mv $(CURDIR)/debian/tmp/usr/bin/neutron-vpn-netns-wrapper $(CURDIR)/debian/tmp/usr/bin/python3-neutron-vpn-netns-wrapper
	mv $(CURDIR)/debian/tmp/usr/bin/neutron-vyatta-agent $(CURDIR)/debian/tmp/usr/bin/python3-neutron-vyatta-agent

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-vpnaas 12.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

requests>=2.14.2 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.13.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
neutron-vpnaas (2:12.0.1-0ubuntu1) bionic; urgency=medium

  [Sahid Orentino Ferdjaoui]
  * New stable point release for OpenStack Queens (LP: #1818069).
  * d/p/0001-test-Register-L3-option-in-L3-ext-tests.patch: Cherry-picked from
    upstream stable/queens branch to register L3 opts for unit tests, enabling
    tests to pass during package build.

  [Corey Bryant]
  * d/gbp.conf: Create stable/queens branch.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 08 Mar 2019 16:35:30 +0100

neutron-vpnaas (2:12.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with ostestr.
  * d/control, d/rules, d/neutron-vpn-agent.*, python-neutron-vpnaas.install:
    Drop neutron-vpn-agent binary as it is now loaded in the L3 agent
    extension mechanism. For more info, see the following bug:
    https://bugs.launchpad.net/bugs/1692128.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 10:03:56 -0500

neutron-vpnaas (2:11.0.0-0ubuntu1) artful; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Oct 2017 09:30:40 -0400

neutron-vpnaas (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:07:04 +0100

neutron-vpnaas (2:11.0.0~a1~git20170616.aa1c3f9a9-0ubuntu1) artful; urgency=medium

  * Align (Build-)Depends with upstream milestone.
  * New upstream snapshot for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:45:13 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/neutron-vpnaas neutron-vpnaas-(\d.*)\.tar\.gz

## neutron-vpnaas 13.0.0

=== debian/changelog ===
neutron-vpnaas (2:13.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2018 22:27:07 +0200

neutron-vpnaas (2:12.0.0-3) unstable; urgency=medium

  * Add patch to package missing migration files.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Jun 2018 16:34:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: neutron-vpnaas
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -14,20 +14,18 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python3-astroid,
  python3-coverage,
  python3-fixtures,
  python3-hacking,
- python3-jinja2,
+ python3-jinja2 (>= 2.10),
  python3-mock,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 1:12.0.0~rc1),
- python3-neutron-lib (>= 1.13.0),
+ python3-neutron (>= 1:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -38,9 +36,10 @@
  python3-oslotest (>= 1:3.2.0),
  python3-psycopg2 (>= 2.5),
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1),
+ python3-requests-mock (>= 1.2.0),
  python3-six,
- python3-sqlalchemy,
+ python3-sqlalchemy (>= 1.2.0),
+ python3-stestr,
  python3-tempest (>= 1:17.1.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios,
@@ -49,7 +48,6 @@
  python3-webtest (>= 2.0.27),
  subunit,
  tempest (>= 1:16.1.0),
- testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas
 Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas.git
@@ -97,12 +95,12 @@
 Section: python
 Depends:
  alembic (>= 0.8.10),
- python3-jinja2,
+ python3-jinja2 (>= 2.10),
  python3-netaddr,
- python3-neutron (>= 1:12.0.0~rc1),
- python3-neutron-lib (>= 1.13.0),
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-neutron (>= 1:13.0.0~rc1),
+ python3-neutron-lib (>= 1.18.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -113,7 +111,7 @@
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
  python3-six,
- python3-sqlalchemy,
+ python3-sqlalchemy (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:

=== debian/rules ===
--- 
+++ 
@@ -47,9 +47,6 @@
 
 	rm -r $(CURDIR)/debian/tmp/usr/etc
 
-	mv $(CURDIR)/debian/tmp/usr/bin/neutron-vpn-netns-wrapper $(CURDIR)/debian/tmp/usr/bin/python3-neutron-vpn-netns-wrapper
-	mv $(CURDIR)/debian/tmp/usr/bin/neutron-vyatta-agent $(CURDIR)/debian/tmp/usr/bin/python3-neutron-vyatta-agent
-
 	dh_install
 	dh_missing --fail-missing

## neutron-vpnaas 13.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

requests>=2.14.2 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
neutron-lib>=1.18.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

neutron>=13.0.0.0b2 # Apache-2.0

=== debian/changelog ===
neutron-vpnaas (2:13.0.1-3) unstable; urgency=medium

  * Ship /etc/neutron/{agent,server}.conf.d symlink.
  * Add initial Debconf template translations, with thanks to:
    - Dutch: Frans Spiesschaert (Closes: #914533).
    - Russian: Lev Lamberov (Closes: #914171).
    - French: Jean-Pierre Giraud (Closes: #913999).
    - Portuguese: Traduz PT (Closes: #913009).
    - German: Chris Leick (Closes: #912742).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 06:07:01 +0100

neutron-vpnaas (2:13.0.1-2) unstable; urgency=medium

  * Fix neutron-plugin-manage: not found (Closes: #914763)

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 02 Dec 2018 15:04:27 +0100

neutron-vpnaas (2:13.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 07 Nov 2018 16:34:15 +0100

neutron-vpnaas (2:13.0.0-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/rules: Add rootwrap filters (Closes: #912353)
  * d/rules: Fix paths in config (Closes: #912345)
  * d/control:
    - Fix paths in config (Closes: #912354)
    - Add me to uploaders field
  * Redesign vpnaas packages to use neutron-common maintainer script

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 31 Oct 2018 15:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -112,6 +113,7 @@
  python3-requests (>= 2.14.2),
  python3-six,
  python3-sqlalchemy (>= 1.2.0),
+ strongswan,
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 UPSTREAM_GIT = https://github.com/openstack/neutron-vpnaas.git
+VPNAAS_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf
+VPN_AGENT_CONF=$(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini
 
 
 %:
@@ -23,7 +25,8 @@
 	echo "Do nothing..."
 
 override_dh_auto_build:
-	echo "Do nothing..."
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postinst
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-vpnaas-common.postrm
 
 override_dh_install:
 	for i in $(PYTHON3S) ; do \
@@ -39,11 +42,24 @@
 		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
 		--wrap-width 140 \
 		--namespace neutron.vpnaas.agent
+	
+	# Specify default config
+	pkgos-fix-config-default ${VPN_AGENT_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default
+	sed -i 's/\(^#ipsec_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
+	sed -i 's/\(^#strongswan_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
+	sed -i 's/\(^#ipsec_secret_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
 
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
 		--wrap-width 140 \
 		--namespace neutron.vpnaas
+	
+	# Specify default config
+	pkgos-fix-config-default ${VPNAAS_CONF} service_providers service_provider VPN:strongswan:neutron_vpnaas.services.vpn.service_drivers.ipsec.IPsecVPNDriver:default
+
+	# Install rootwrap filters
+	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d
+	cp etc/neutron/rootwrap.d/vpnaas.filters $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/rootwrap.d
 
 	rm -r $(CURDIR)/debian/tmp/usr/etc

## neutron-vpnaas 14.0.0

=== debian/changelog ===
neutron-vpnaas (2:14.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 17:28:19 +0200

neutron-vpnaas (2:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Standards-Version: 4.3.0 (no change).
  * Do not use python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 09:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,50 +6,50 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- alembic (>= 0.8.10),
+ alembic,
  python3-coverage,
  python3-fixtures,
  python3-hacking,
- python3-jinja2 (>= 2.10),
+ python3-jinja2,
  python3-mock,
  python3-mysqldb,
  python3-netaddr,
- python3-neutron (>= 1:13.0.0~rc1),
- python3-neutron-lib (>= 1.18.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:3.2.0),
- python3-psycopg2 (>= 2.5),
- python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.2.0),
+ python3-neutron (>= 1:14.0.2),
+ python3-neutron-lib,
+ python3-openstackdocstheme,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.reports,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-psycopg2,
+ python3-requests,
+ python3-requests-mock,
  python3-six,
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy,
  python3-stestr,
- python3-tempest (>= 1:17.1.0),
- python3-testresources (>= 2.0.0),
+ python3-tempest,
+ python3-testresources,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1.7.1),
- python3-webtest (>= 2.0.27),
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
  subunit,
- tempest (>= 1:16.1.0),
-Standards-Version: 4.1.3
+ tempest,
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron-vpnaas
 Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron-vpnaas.git
 Homepage: https://github.com/openstack/neutron-vpnaas
@@ -95,24 +95,24 @@
 Architecture: all
 Section: python
 Depends:
- alembic (>= 0.8.10),
- python3-jinja2 (>= 2.10),
+ alembic,
+ python3-jinja2,
  python3-netaddr,
- python3-neutron (>= 1:13.0.0~rc1),
- python3-neutron-lib (>= 1.18.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.reports (>= 1.18.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
- python3-requests (>= 2.14.2),
+ python3-neutron (>= 1:14.0.2),
+ python3-neutron-lib,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.reports,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-pbr,
+ python3-requests,
  python3-six,
- python3-sqlalchemy (>= 1.2.0),
+ python3-sqlalchemy,
  strongswan,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 endif
 
 	mkdir -p $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/vpn_agent.ini \
 		--wrap-width 140 \
 		--namespace neutron.vpnaas.agent
@@ -49,7 +49,7 @@
 	sed -i 's/\(^#strongswan_config_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
 	sed -i 's/\(^#ipsec_secret_template\ =\)\(.*\/usr\/lib\/python\)\(.*\)/\1\ \/usr\/lib\/python\3/g' ${VPN_AGENT_CONF}
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/neutron-vpnaas-common/etc/neutron/neutron_vpnaas.conf \
 		--wrap-width 140 \
 		--namespace neutron.vpnaas

## neutron-vpnaas 14.0.1

=== requirements.txt ===
--- 
+++ 
@@ -20,4 +20,10 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 
-neutron>=13.0.0.0b2 # Apache-2.0
+neutron>=13.0.0.0b2,<15.0.0.0b1 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
neutron-vpnaas (2:14.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1871126).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:40:31 -0400

neutron-vpnaas (2:14.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 11:38:55 +0000

neutron-vpnaas (2:14.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:02:20 +0100

neutron-vpnaas (2:14.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:14:10 +0000

neutron-vpnaas (2:14.0.0~b2-0ubuntu1) disco; urgency=medium

  * d/watch: Monitor 14.x series.
  * New upstream milestone for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 17:14:45 +0000

neutron-vpnaas (2:14.0.0~b1~git2019013146.c561e8940-0ubuntu2) disco; urgency=medium

  * d/control: Bump minimum neutron version to resolve unit test
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:48:34 +0000

neutron-vpnaas (2:14.0.0~b1~git2019013146.c561e8940-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:39:49 +0000

neutron-vpnaas (2:14.0.0~b1~git2018111653.d00f88658-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules: Drop Python 2 support.
  * d/rules: Use python3 for runtime execution.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:08:19 +0000

neutron-vpnaas (2:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:34:53 -0400

neutron-vpnaas (2:13.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:30:57 -0400

neutron-vpnaas (2:13.0.0~b3-0ubuntu1) cosmic; urgency=medium

  [ James Page ]
  * Add Python 3 support:
    - d/control: Add BD's for py3.
    - d/control,neutron-vpnaas-common.install: Add neutron-vpnaas-common
      package for shared configuration files, add Depends from
      python{3}-neutron-vpnaas.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/python-neutron-vpnaas.install: Drop, not needed.
    - d/rules: Directly generate sample config files.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:00:07 -0400

neutron-vpnaas (2:13.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:02:28 +0100

neutron-vpnaas (2:13.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 May 2018 21:17:01 -0700

neutron-vpnaas (2:12.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure neutron config files are not installed to
    /usr/etc (LP: #1768539).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 10:46:55 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/neutron-vpnaas neutron-vpnaas-(14\.\d.*)\.tar\.gz
